# Generated by Django 5.0.1 on 2024-08-16 07:38

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("fedcode", "0001_initial"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="package",
            options={"ordering": ["purl"]},
        ),
        migrations.AlterField(
            model_name="federaterequest",
            name="done",
            field=models.BooleanField(
                default=False, help_text="Flag set to true when the request completed"
            ),
        ),
        migrations.AlterField(
            model_name="federaterequest",
            name="error_message",
            field=models.TextField(help_text="Error message if a request failed to federate"),
        ),
        migrations.AlterField(
            model_name="follow",
            name="created_at",
            field=models.DateTimeField(auto_now_add=True, help_text="Date created"),
        ),
        migrations.AlterField(
            model_name="follow",
            name="package",
            field=models.ForeignKey(
                help_text="Followed package",
                on_delete=django.db.models.deletion.CASCADE,
                to="fedcode.package",
            ),
        ),
        migrations.AlterField(
            model_name="follow",
            name="person",
            field=models.ForeignKey(
                help_text="Person that follows",
                on_delete=django.db.models.deletion.CASCADE,
                to="fedcode.person",
            ),
        ),
        migrations.AlterField(
            model_name="follow",
            name="updated_at",
            field=models.DateTimeField(auto_now=True, help_text="Date updated"),
        ),
        migrations.AlterField(
            model_name="note",
            name="acct",
            field=models.CharField(help_text="Account that created this note", max_length=200),
        ),
        migrations.AlterField(
            model_name="note",
            name="content",
            field=models.TextField(help_text="Text content for this note"),
        ),
        migrations.AlterField(
            model_name="package",
            name="notes",
            field=models.ManyToManyField(
                blank=True, help_text="the notes created by this package", to="fedcode.note"
            ),
        ),
        migrations.AlterField(
            model_name="person",
            name="notes",
            field=models.ManyToManyField(
                blank=True, help_text="Notes created by this user", to="fedcode.note"
            ),
        ),
        migrations.AlterField(
            model_name="syncrequest",
            name="done",
            field=models.BooleanField(
                default=False, help_text="Flag set to true when the request completed"
            ),
        ),
        migrations.AlterField(
            model_name="syncrequest",
            name="error_message",
            field=models.TextField(help_text="Error message if a request failed to sync"),
        ),
        migrations.AlterField(
            model_name="vulnerability",
            name="id",
            field=models.CharField(
                help_text="Unique vulnerability identifier 'VCID'",
                max_length=20,
                primary_key=True,
                serialize=False,
            ),
        ),
    ]
